USE [COWS]
GO

/****** Object:  Table [dbo].[LK_INTL_CLLI_CD]    Script Date: 11/08/2016 09:38:49 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[LK_INTL_CLLI_CD](
	[LK_INTL_CLLI_CD_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CLLI_CD] [varchar](10) NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
 CONSTRAINT [PK_LK_INTL_CLLI_CD] PRIMARY KEY CLUSTERED 
(
	[LK_INTL_CLLI_CD_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_LK_INTL_CLLI_CD] UNIQUE NONCLUSTERED 
(
	[CLLI_CD] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[LK_INTL_CLLI_CD]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_INTL_CLLI_CD] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_INTL_CLLI_CD] CHECK CONSTRAINT [FK01_LK_INTL_CLLI_CD]
GO

ALTER TABLE [dbo].[LK_INTL_CLLI_CD]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_INTL_CLLI_CD] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_INTL_CLLI_CD] CHECK CONSTRAINT [FK02_LK_INTL_CLLI_CD]
GO

ALTER TABLE [dbo].[LK_INTL_CLLI_CD]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_INTL_CLLI_CD] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_INTL_CLLI_CD] CHECK CONSTRAINT [FK03_LK_INTL_CLLI_CD]
GO

ALTER TABLE [dbo].[LK_INTL_CLLI_CD] ADD  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[LK_INTL_CLLI_CD] ADD  DEFAULT ((1)) FOR [REC_STUS_ID]
GO


